Bug 1707157 - RHEL 8 with iPXE fails due to Deprecated Options used
Summary: RHEL 8 with iPXE fails due to Deprecated Options used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.5.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: roarora
QA Contact: Peter Dragun
URL:
Whiteboard:
: 1726827 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-06 23:19 UTC by roarora
Modified: 2019-11-05 13:19 UTC (History)
17 users (show)

Fixed In Version: foreman-1.22.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1726827 1726830 (view as bug list)
Environment:
Last Closed: 2019-10-22 12:47:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (225.10 KB, image/jpeg)
2019-05-06 23:19 UTC, roarora
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26749 Normal Closed RHEL 8 with iPXE fails due to Deprecated Options used 2020-01-02 10:54:56 UTC
Github theforeman community-templates pull 587 None None None 2019-05-24 18:59:04 UTC
Red Hat Knowledge Base (Solution) 4149881 None None None 2019-05-16 02:24:51 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:40 UTC

Description roarora 2019-05-06 23:19:44 UTC
Created attachment 1564848 [details]
Screenshot

Description of problem:
ip= netmask= gateway= dns= options were deprecated since RHEL 7 but are still being used in Kickstart default iPXE.
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/installation_guide/chap-anaconda-boot-options#sect-boot-options-deprecated-removed

RHEL 7 Still accepted those but RHEL 8 fails to build with Error : 'ip=X.X.X.X'\nSorry,unknown value X.X.X.X

So all build methods involving iPXE fail 

Version-Release number of selected component (if applicable):
Satellite 6.5

How reproducible:
Always

Steps to Reproduce:
Use any of provisioning methods involving iPXE like Auto attach bootdisk or per Host ISO

Comment 3 Bryan Kearney 2019-05-07 18:02:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26749 has been resolved.

Comment 6 Mike McCune 2019-07-03 20:20:58 UTC
*** Bug 1726827 has been marked as a duplicate of this bug. ***

Comment 7 Ramesh Daryani 2019-08-07 05:30:29 UTC
I am using boot options to assign the ip address via ip=, however still it is failing. The same is working fine for rhel7 kickstart installation.

Comment 8 Peter Dragun 2019-08-30 08:54:23 UTC
Verified on Sat 6.6 snap 17. Provisioning RHEL 8 now works without any errors. Tested also with RHEL 7.7.

Comment 10 errata-xmlrpc 2019-10-22 12:47:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.